<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.9                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

    Error_Reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
    setlocale(LC_ALL, 'ru_RU.CP1251');

    define('PATH', $_SERVER['DOCUMENT_ROOT']);

//////////////////////////////     /////////////////////////////

    if(is_dir('install')||is_dir('migrate')) {
        if (!file_exists(PATH.'/includes/config.inc.php')){
            header('location:/install/');
        } else {
            include(PATH.'/core/messages/installation.html');
            die();
        }
    }

///////////////////////////////////  //////////////////////////////////////////////
	
	define("VALID_CMS", 1);	
	session_start();    

	include('core/cms.php');                        //
    include(PATH.'/includes/config.inc.php');       //,    

    $inCore = cmsCore::getInstance();

    define('HOST', 'http://' . $inCore->getHost());

///////////////////////////////////   /////////////////////////////////////////

    $inCore->startGenTimer();
/////////////-------------------///////////////////////////////////////////
  $user_id    = isset($_SESSION['user']['id']) ? $_SESSION['user']['id'] : 0;
  if ($inCore->getCookie('userid') || $user_id){ $caching = false;} else {$caching = true;}
	require_once 'cache/Lite/Output.php'; 
  $where = $_SERVER["REQUEST_URI"];
  @$noax = $_POST['ax'] != 1; if ($noax!=1){$ax = 1;}else {$ax=0;}
  if ($ax==1) {$where = $where.'aj__ax/';}
  if (substr_count($where,"registration")+substr_count($where,"login")+substr_count($where,"logout")!=0) {$caching = false;}
	//    Cache_Lite 
	$options = array( 
	 'cacheDir'        => '../instant_cache/', //   
	 'writeControl'    => true, 
	 'readControl'     => true, 
	 'caching'			=> $caching,
	 'readControlType' => 'md5' 
	); 
	
	//    Cache_Lite_Output 
	$cache = new Cache_Lite_Output($options);

		$cache->setLifeTime(7200); //
    $fromcache = 1;
		if (!$cache->start($where, 'all'))  {
      $fromcache = 0;
    
//////////////////////////    //////////////////////////////////////////
   
    $inCore->loadClass('page');         //    
    $inCore->loadClass('plugin');       //
    $inCore->loadClass('user');         //
    $inCore->loadClass('actions');      //     

    $inDB   = cmsDatabase::getInstance();
    $inPage = cmsPage::getInstance();
    $inConf = cmsConfig::getInstance();
    $inUser = cmsUser::getInstance();

    date_default_timezone_set($inConf->timezone);

    cmsCore::loadLanguage('lang');      //  

	$inUser->autoLogin();     //  ,   

    //       
    if (!$inUser->update() && !$_SERVER['REQUEST_URI']!=='/logout') { $inCore->halt(); }

    //   
    $home_title = $inConf->hometitle ? $inConf->hometitle : $inConf->sitename;

    //     
    $inPage->setTitle( $inConf->sitename );

////////////////////////// ,    //////////////////////////

    //      ,
    //        
	if ( $inConf->siteoff &&
        !$inUser->is_admin &&
        $_SERVER['REQUEST_URI']!='/login' &&
        $_SERVER['REQUEST_URI']!='/logout'
       ) {
            $inPage->includeTemplateFile('special/siteoff.php');
            $inCore->halt();
	}

    //  ,   - ,
    //     ",  "
    if ($inConf->siteoff && $inUser->is_admin) {
       echo $inPage->siteOffNotify();
    }

////////////////////////////   //////////////////////////
	
	$inCore->onlineStats();   //   
	
//////////////////////////////   //////////////////////////////
	
	// ID   
	$menuid = $inCore->menuId();
		
	// 
	$inPage->addPathway($_LANG['PATH_HOME'], '/');
    $inPage->setTitle( $inCore->menuTitle() );
	if ($menuid > 1) { $inPage->addMenuPathway($menuid); }

	//  
    //  
	//   (  )
    if ($inCore->checkMenuAccess()) $inCore->proceedBody();

////////////////////////////////////   /////////////////////////////

    //      (splash)
	if($inCore->isSplash()){
        //  
		if (!$inPage->showSplash()){
            //      ,
            //   
            $inPage->showTemplate();
        }
	} else {
        //  
		$inPage->showTemplate();
	}

$cache->end();   
    } // 

//////////////     ,    /////////////
    
  		$time = $inCore->getGenTime();
      if ($fromcache){
    		echo '<!--  : '.number_format($time, 4).' .(0 )'.'-->';
      }
      else {
    		echo '<!--'.$_LANG['DEBUG_TIME_GEN_PAGE'].' '.number_format($time, 4).' '.$_LANG['DEBUG_SEC'].'('.$inDB->q_count.' )'.'-->';
        $inCore->clearSessionTrash();
      }

?>
